## net.sf.statsvn.util
Class ConsoleTaskLogger

    java.lang.Object
      net.sf.statsvn.util.ConsoleTaskLogger

All Implemented Interfaces:
  TaskLogger

    public class ConsoleTaskLogger

extends java.lang.Object
implements TaskLogger

Basic implementation to System.out.

Version:
  $Revision: 187 $
Author:
  Benoit Xhenseval

Constructor Summary
`ConsoleTaskLogger()`

Method Summary
`void` `error(java.lang.String arg)` Generic interface for logging error.
`void` `info(java.lang.String arg)` Generic interface for logging info.
`void` `log(java.lang.String text)` log text to the System.out.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleTaskLogger

    public ConsoleTaskLogger()

Method Detail

### log

    public final void log(java.lang.String text)

  log text to the System.out.

  Specified by:
    `log` in interface `TaskLogger`
  Parameters:
    `text` - the text to log.

### error

    public void error(java.lang.String arg)

  Description copied from interface: `TaskLogger`
  Generic interface for logging error.

  Specified by:
    `error` in interface `TaskLogger`
  Parameters:
    `arg` - the string to log.

### info

    public void info(java.lang.String arg)

  Description copied from interface: `TaskLogger`
  Generic interface for logging info.

  Specified by:
    `info` in interface `TaskLogger`
  Parameters:
    `arg` - the string to log.